diff --git a/tests/TestSuite_ice_dcf_switch_filter.py b/tests/TestSuite_ice_dcf_switch_filter.py
index 3c647be6..7a15ae41 100644
--- a/tests/TestSuite_ice_dcf_switch_filter.py
+++ b/tests/TestSuite_ice_dcf_switch_filter.py
@@ -1686,7 +1686,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         self.pf0_intf = self.dut.ports_info[self.used_dut_port_0]["intf"]
         self.__tx_iface = self.tester.get_interface(localPort)
         self.pkt = Packet()
-        self.testpmd_status = "close"
         # bind pf to kernel
         self.bind_nics_driver(self.dut_ports, driver="ice")
         # get priv-flags default stats
@@ -1749,7 +1748,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         """
         command = self.create_testpmd_command()
         out = self.dut.send_expect(command, "testpmd> ", 15)
-        self.testpmd_status = "running"
         self.dut.send_expect("set portlist 1", "testpmd> ", 15)
         self.dut.send_expect("set fwd rxonly", "testpmd> ", 15)
         self.dut.send_expect("set verbose 1", "testpmd> ", 15)
@@ -2247,7 +2245,6 @@ class ICEDCFSwitchFilterTest(TestCase):
 
         self.dut.send_expect("flow flush 0", "testpmd> ", 300)
         self.dut.send_expect("quit", "#")
-        self.testpmd_status = "close"
         # destroy vfs
         for port_id in self.dut_ports:
             self.dut.destroy_sriov_vfs_by_port(port_id)
@@ -2266,7 +2263,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         )
         command = self.path + all_eal_param + " -- -i"
         out = self.dut.send_expect(command, "testpmd> ", 15)
-        self.testpmd_status = "running"
         self.dut.send_expect("set portlist 1,2", "testpmd> ", 15)
         self.dut.send_expect("set fwd rxonly", "testpmd> ", 15)
         self.dut.send_expect("set verbose 1", "testpmd> ", 15)
@@ -2323,7 +2319,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         )
         command = self.path + all_eal_param + " -- -i"
         out = self.dut.send_expect(command, "testpmd> ", 15)
-        self.testpmd_status = "running"
         self.dut.send_expect("set portlist 1,2", "testpmd> ", 15)
         self.dut.send_expect("set fwd rxonly", "testpmd> ", 15)
         self.dut.send_expect("set verbose 1", "testpmd> ", 15)
@@ -2371,7 +2366,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         # launch testpmd
         command = self.create_testpmd_command()
         out = self.dut.send_expect(command, "testpmd> ", 15)
-        self.testpmd_status = "running"
         self.dut.send_expect("set portlist 1", "testpmd> ", 15)
         self.dut.send_expect("set fwd mac", "testpmd> ", 15)
         self.dut.send_expect("set verbose 1", "testpmd> ", 15)
@@ -2407,7 +2401,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         )
         command = self.path + all_eal_param + " -- -i"
         out = self.dut.send_expect(command, "testpmd> ", 15)
-        self.testpmd_status = "running"
         self.dut.send_expect("set portlist 1,2", "testpmd> ", 15)
         self.dut.send_expect("set fwd mac", "testpmd> ", 15)
         self.dut.send_expect("set verbose 1", "testpmd> ", 15)
@@ -2473,7 +2466,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         )
         command = self.path + all_eal_param + " -- -i"
         out = self.dut.send_expect(command, "testpmd> ", 15)
-        self.testpmd_status = "running"
         # generate max_vf_number-1 rules to each vf and matched packets
         for i in range(1, max_vf_number):
             rte_flow_pattern = (
@@ -2625,7 +2617,6 @@ class ICEDCFSwitchFilterTest(TestCase):
         )
         command = self.path + all_eal_param + " -- -i"
         out = self.dut.send_expect(command, "testpmd> ", 15)
-        self.testpmd_status = "running"
         self.dut.send_expect("set portlist 1,2", "testpmd> ", 15)
         self.dut.send_expect("set fwd rxonly", "testpmd> ", 15)
         self.dut.send_expect("set verbose 1", "testpmd> ", 15)
@@ -2670,17 +2661,13 @@ class ICEDCFSwitchFilterTest(TestCase):
         """
         Run after each test case.
         """
-        if self.testpmd_status != "close":
-            # destroy all flow rules on DCF
-            self.dut.send_expect("flow flush 0", "testpmd> ", 15)
-            self.dut.send_expect("clear port stats all", "testpmd> ", 15)
-            self.dut.send_expect("quit", "#", 15)
-            # kill all DPDK application
-            self.dut.kill_all()
-            # destroy vfs
-            for port_id in self.dut_ports:
-                self.dut.destroy_sriov_vfs_by_port(port_id)
-        self.testpmd_status = "close"
+        # destroy all flow rules on DCF
+        self.dut.send_expect("quit", "# ")
+        # kill all DPDK application
+        self.dut.kill_all()
+        # destroy vfs
+        for port_id in self.dut_ports:
+            self.dut.destroy_sriov_vfs_by_port(port_id)
         if getattr(self, "session_secondary", None):
             self.dut.close_session(self.session_secondary)
 